%define pypi_name acme

Name:           python-%{pypi_name}
Version:        2.11.0
Release:        %mkrel 1
Summary:        ACME protocol implementation in Python
Group:          Development/Python
License:        Apache
URL:            https://pypi.python.org/pypi/acme
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel

%description
ACME protocol implementation in Python.

%package -n     python3-%{pypi_name}
Summary:        ACME protocol implementation in Python
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
ACME protocol implementation in Python.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires -x test

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%check
%pytest

%files -n python3-%{pypi_name} -f %{pyproject_files}


%changelog
* Mon Jun 10 2024 kekepower <kekepower> 2.11.0-1.mga10
+ Revision: 2072429
- Update to version 2.11.0

* Sat Jan 20 2024 wally <wally> 2.8.0-2.mga10
+ Revision: 2032415
- enable tests
- rebuild for py3.12
- use %%pyproject_buildrequires

* Wed Dec 06 2023 kekepower <kekepower> 2.8.0-1.mga10
+ Revision: 2013674
- Update to version 2.8.0

* Thu Nov 02 2023 kekepower <kekepower> 2.7.4-1.mga10
+ Revision: 2003548
- Update to version 2.7.4

* Fri Oct 27 2023 kekepower <kekepower> 2.7.3-1.mga10
+ Revision: 2002062
- Update to version 2.7.3

* Fri Oct 20 2023 kekepower <kekepower> 2.7.2-1.mga10
+ Revision: 1999651
- Update to version 2.7.2

* Tue Oct 10 2023 kekepower <kekepower> 2.7.1-1.mga10
+ Revision: 1994168
- Update to version 2.7.1

* Mon Oct 09 2023 kekepower <kekepower> 2.7.0-2.mga10
+ Revision: 1993862
- Relax pyopenssl version check

* Mon Oct 09 2023 kekepower <kekepower> 2.7.0-1.mga10
+ Revision: 1993760
- Update to version 2.7.0

* Tue Aug 29 2023 kekepower <kekepower> 2.6.0-1.mga10
+ Revision: 1981051
- Update to version 2.6.0

* Wed Feb 15 2023 kekepower <kekepower> 2.3.0-1.mga9
+ Revision: 1942745
- Update to version 2.3.0

* Wed Jan 25 2023 kekepower <kekepower> 2.2.0-1.mga9
+ Revision: 1936010
- Update to version 2.2.0

* Thu Dec 15 2022 kekepower <kekepower> 2.1.1-1.mga9
+ Revision: 1923316
- Update to version 2.1.1

* Wed Dec 07 2022 kekepower <kekepower> 2.1.0-1.mga9
+ Revision: 1919043
- Update to version 2.1.0

* Wed Nov 23 2022 kekepower <kekepower> 2.0.0-1.mga9
+ Revision: 1910454
- Update to version 2.0.0

* Fri Nov 11 2022 kekepower <kekepower> 1.32.0-1.mga9
+ Revision: 1905469
- Update to version 1.32.0

* Wed Oct 05 2022 kekepower <kekepower> 1.31.0-1.mga9
+ Revision: 1894885
- Update to version 1.31.0

* Thu Sep 08 2022 neoclust <neoclust> 1.30.0-1.mga9
+ Revision: 1885972
- New version 1.30.0

* Thu Jul 07 2022 kekepower <kekepower> 1.29.0-1.mga9
+ Revision: 1867921
- Update to version 1.29.0

* Fri Jun 10 2022 kekepower <kekepower> 1.28.0-1.mga9
+ Revision: 1863826
- Update to version 1.28.0

* Wed May 04 2022 kekepower <kekepower> 1.27.0-1.mga9
+ Revision: 1856076
- Update to version 1.27.0

* Wed Apr 06 2022 kekepower <kekepower> 1.26.0-1.mga9
+ Revision: 1846277
- Update to version 1.26.0

* Thu Mar 17 2022 kekepower <kekepower> 1.25.0-1.mga9
+ Revision: 1797241
- Update to version 1.25.0

* Wed Mar 02 2022 kekepower <kekepower> 1.24.0-2.mga9
+ Revision: 1787725
- Update to version 1.24.0
+ neoclust <neoclust>
- rebuild for python 3.10

* Thu Feb 10 2022 kekepower <kekepower> 1.23.0-1.mga9
+ Revision: 1772794
- Update to version 1.23.0

* Wed Dec 08 2021 kekepower <kekepower> 1.22.0-1.mga9
+ Revision: 1761149
- Update to version 1.22.0

* Thu Nov 04 2021 kekepower <kekepower> 1.21.0-1.mga9
+ Revision: 1753867
- Update to version 1.21.0

* Thu Oct 07 2021 kekepower <kekepower> 1.20.0-1.mga9
+ Revision: 1749959
- Update to version 1.20.0

* Sun Sep 12 2021 kekepower <kekepower> 1.19.0-1.mga9
+ Revision: 1745226
- Update to version 1.19.0

* Wed Aug 04 2021 kekepower <kekepower> 1.18.0-1.mga9
+ Revision: 1739241
- Update to version 1.18.0

* Tue Jul 06 2021 kekepower <kekepower> 1.17.0-1.mga9
+ Revision: 1735025
- Update to version 1.17.0

* Wed Jun 02 2021 kekepower <kekepower> 1.16.0-1.mga9
+ Revision: 1729379
- Update to version 1.16.0

* Wed May 05 2021 kekepower <kekepower> 1.15.0-1.mga9
+ Revision: 1721451
- Update to version 1.15.0

* Sat Apr 10 2021 kekepower <kekepower> 1.14.0-2.mga9
+ Revision: 1714456
- Update to version 1.14.0

* Sat Mar 20 2021 guillomovitch <guillomovitch> 1.13.0-2.mga9
+ Revision: 1706021
- rebuild for python 3.9

* Thu Mar 04 2021 kekepower <kekepower> 1.13.0-1.mga9
+ Revision: 1697820
- Update to version 1.13.0

* Thu Feb 25 2021 kekepower <kekepower> 1.12.0-2.mga9
+ Revision: 1691070
- Add upstream patch to build docs

* Thu Feb 25 2021 kekepower <kekepower> 1.12.0-1.mga9
+ Revision: 1690842
- Update to version 1.12.0

* Thu Dec 03 2020 kekepower <kekepower> 1.10.1-1.mga8
+ Revision: 1652272
- Update to version 1.10.1

* Wed Dec 02 2020 kekepower <kekepower> 1.10.0-1.mga8
+ Revision: 1651556
- Update to version 1.10.0

* Wed Oct 07 2020 kekepower <kekepower> 1.9.0-1.mga8
+ Revision: 1632557
- Update to version 1.9.0

* Tue Sep 08 2020 kekepower <kekepower> 1.8.0-1.mga8
+ Revision: 1623686
- Update to version 1.8.0

* Wed Aug 05 2020 kekepower <kekepower> 1.7.0-1.mga8
+ Revision: 1611244
- Update to version 1.7.0

* Wed Jul 08 2020 kekepower <kekepower> 1.6.0-1.mga8
+ Revision: 1602920
- Update to version 1.6.0

* Mon Jun 08 2020 kekepower <kekepower> 1.5.0-1.mga8
+ Revision: 1591054
- Update to version 1.5.0

* Wed May 06 2020 guillomovitch <guillomovitch> 1.4.0-1.mga8
+ Revision: 1581267
- new version 1.4.0

* Thu Mar 05 2020 kekepower <kekepower> 1.3.0-1.mga8
+ Revision: 1554159
- Fix rel
- Update to version 1.3.0

* Thu Feb 20 2020 umeabot <umeabot> 1.2.0-2.mga8
+ Revision: 1546961
- Mageia 8 Mass Rebuild

* Thu Feb 06 2020 kekepower <kekepower> 1.2.0-1.mga8
+ Revision: 1487345
- Update to version 1.2.0

* Wed Jan 22 2020 kekepower <kekepower> 1.1.0-1.mga8
+ Revision: 1482051
- Update to version 1.1.0

* Sat Dec 07 2019 guillomovitch <guillomovitch> 1.0.0-1.mga8
+ Revision: 1465014
- new version 1.0.0

* Wed Nov 06 2019 kekepower <kekepower> 0.40.1-1.mga8
+ Revision: 1458320
- Update to version 0.40.1

* Wed Oct 02 2019 guillomovitch <guillomovitch> 0.39.0-1.mga8
+ Revision: 1448945
- new version 0.39.0

* Sun Sep 15 2019 kekepower <kekepower> 0.38.0-1.mga8
+ Revision: 1441630
- Update to version 0.38.0

* Thu Aug 22 2019 kekepower <kekepower> 0.37.2-1.mga8
+ Revision: 1431285
- Update to version 0.37.2

* Fri Aug 09 2019 kekepower <kekepower> 0.37.1-1.mga8
+ Revision: 1428331
- Update to version 0.37.1

* Thu Aug 08 2019 kekepower <kekepower> 0.37.0-1.mga8
+ Revision: 1428239
- Remove Python 2 build
- Update to version 0.37.0

* Sat Jul 13 2019 guillomovitch <guillomovitch> 0.36.0-1.mga8
+ Revision: 1420977
- new version 0.36.0

* Sun Jun 30 2019 kekepower <kekepower> 0.35.1-1.mga8
+ Revision: 1416418
- Update to version 0.35.1

* Wed May 08 2019 kekepower <kekepower> 0.34.2-1.mga7
+ Revision: 1396648
- Update to version 0.34.2

* Sat Apr 06 2019 kekepower <kekepower> 0.33.1-1.mga7
+ Revision: 1386299
- Update to version 0.33.1

* Thu Apr 04 2019 kekepower <kekepower> 0.33.0-1.mga7
+ Revision: 1385651
- Update to version 0.33.0

* Sun Mar 10 2019 kekepower <kekepower> 0.32.0-2.mga7
+ Revision: 1373811
- Use python_provide

* Wed Mar 06 2019 kekepower <kekepower> 0.32.0-1.mga7
+ Revision: 1372086
- Update to version 0.32.0

* Fri Feb 08 2019 kekepower <kekepower> 0.31.0-1.mga7
+ Revision: 1364092
- Update to version 0.31.0

* Fri Jan 25 2019 kekepower <kekepower> 0.30.2-1.mga7
+ Revision: 1360694
- Update to version 0.30.2

* Fri Jan 25 2019 kekepower <kekepower> 0.30.1-1.mga7
+ Revision: 1360542
- Update to version 0.30.1

* Sun Jan 06 2019 kekepower <kekepower> 0.30.0-2.mga7
+ Revision: 1350213
- Rebuild for Python 3.7

* Thu Jan 03 2019 kekepower <kekepower> 0.30.0-1.mga7
+ Revision: 1348754
- Update to version 0.30.0

* Sun Dec 30 2018 kekepower <kekepower> 0.29.1-1.mga7
+ Revision: 1347193
- Update to version 0.29.1

* Thu Nov 08 2018 guillomovitch <guillomovitch> 0.28.0-1.mga7
+ Revision: 1328964
- new version 0.28.0

* Thu Sep 20 2018 umeabot <umeabot> 0.27.1-2.mga7
+ Revision: 1288227
- Mageia 7 Mass Rebuild

* Sat Sep 08 2018 guillomovitch <guillomovitch> 0.27.1-1.mga7
+ Revision: 1257768
- new version 0.27.1

* Sun Aug 19 2018 guillomovitch <guillomovitch> 0.26.1-1.mga7
+ Revision: 1252824
- new version 0.26.1

* Mon Jun 25 2018 guillomovitch <guillomovitch> 0.25.1-1.mga7
+ Revision: 1239714
- new version 0.25.1

* Sat May 05 2018 guillomovitch <guillomovitch> 0.24.0-1.mga7
+ Revision: 1226322
- new version 2.4.0

* Sat Mar 24 2018 guillomovitch <guillomovitch> 0.22.2-1.mga7
+ Revision: 1211920
- new version 0.22.2

* Wed Mar 14 2018 guillomovitch <guillomovitch> 0.22.0-1.mga7
+ Revision: 1209542
- new version 0.22

* Thu Feb 08 2018 guillomovitch <guillomovitch> 0.21.1-1.mga7
+ Revision: 1199698
- new version 0.21.1

* Tue Dec 12 2017 mitya <mitya> 0.20.0-1.mga7
+ Revision: 1182267
- New version 0.20.0
- Enable unit tests

* Thu Oct 12 2017 guillomovitch <guillomovitch> 0.19.0-1.mga7
+ Revision: 1171179
- new version 0.19.0

* Mon Oct 02 2017 guillomovitch <guillomovitch> 0.18.2-1.mga7
+ Revision: 1162496
- new version 0.18.2

* Wed Aug 09 2017 guillomovitch <guillomovitch> 0.17.0-1.mga7
+ Revision: 1139255
- new version 0.17.0

* Sat Aug 05 2017 pterjan <pterjan> 0.14.2-2.mga7
+ Revision: 1135300
- Rebuild for python 3.6

* Sat May 27 2017 guillomovitch <guillomovitch> 0.14.2-1.mga6
+ Revision: 1105141
- new version 0.14.2

* Mon May 22 2017 mitya <mitya> 0.14.1-1.mga6
+ Revision: 1104017
- New version 0.14.1
- Fix tarball URL

* Sat Nov 12 2016 guillomovitch <guillomovitch> 0.9.3-1.mga6
+ Revision: 1066647
- new version 0.9.3

* Thu Aug 25 2016 guillomovitch <guillomovitch> 0.8.1-1.mga6
+ Revision: 1048922
- new version 0.8.1

* Mon Apr 18 2016 guillomovitch <guillomovitch> 0.5.0-1.mga6
+ Revision: 1003529
- new version 0.5.0

* Wed Mar 02 2016 guillomovitch <guillomovitch> 0.4.1-1.mga6
+ Revision: 983716
- new version 0.4.1

* Fri Feb 12 2016 guillomovitch <guillomovitch> 0.4.0-1.mga6
+ Revision: 956922
- new version 0.4.0

* Wed Feb 10 2016 guillomovitch <guillomovitch> 0.3.0-1.mga6
+ Revision: 953269
- new version 0.3.0

* Tue Jan 19 2016 daviddavid <daviddavid> 0.2.0-2.mga6
+ Revision: 925750
- use new python macros
- add python3 package

* Sun Jan 17 2016 guillomovitch <guillomovitch> 0.2.0-1.mga6
+ Revision: 925189
- new version

* Wed Dec 16 2015 guillomovitch <guillomovitch> 0.1.1-1.mga6
+ Revision: 911068
- new version 0.1.1

* Fri Dec 04 2015 guillomovitch <guillomovitch> 0.1.0-1.mga6
+ Revision: 908039
- imported package python-acme

